import { IEnvironment } from '@squeebot/core/lib/types';
import path from 'path';

export function defaultEnvironment(location: string): IEnvironment {
  return {
    configurationPath: path.join(location, 'plugins'),
    environment: 'development',
    path: location,
    pluginsPath: path.join(location, 'plugins'),
    repositoryPath: path.join(location, 'plugins'),
  };
}
